## mesa 7.6.1

=== Makefile ===
PACKAGE:=Mesa
VERSION:=7.6.1
SOURCE:=MesaDemos-$(VERSION).tar.gz MesaGLUT-$(VERSION).tar.gz MesaLib-$(VERSION).tar.gz
URLS:=ftp://ftp.freedesktop.org/pub/mesa/$(VERSION)

include ../Rules.make
