=== debian/changelog ===
mesa (7.6.1) unstable; urgency=low

  * New upstream release
  * Add mesa-demos package with glxinfo and glxgears

 -- Kaj-Michael Lang <milang@tal.org>  Tue, 02 Mar 2010 17:27:00 +0300

mesa (7.5.2) unstable; urgency=low

  * New upstream release

 -- Kaj-Michael Lang <milang@tal.org>  Tue, 27 Oct 2009 15:07:00 +0300

mesa (7.4.4) unstable; urgency=low

  * New upstream release

 -- Kaj-Michael Lang <milang@tal.org>  Tue, 11 Aug 2009 11:07:00 +0300

mesa (7.4.2) unstable; urgency=low

  * New upstream release

 -- Kaj-Michael Lang <milang@tal.org>  Wed, 20 May 2009 23:30:15 +0300

mesa (7.2) unstable; urgency=low

  * Initial packaging, based on freemantle mesa package.

 -- Kaj-Michael Lang <milang@tal.org>  Tue, 06 Jan 2009 23:30:15 +0300
