=== debian/control ===
Source: mesa
Section: libs
Priority: optional
Maintainer: Kaj-Michael Lang <milang@tal.org>
Build-Depends: cdbs (>= 0.4.21), debhelper (>= 4.1.0), pkg-config (>= 0.18), 
 libx11-dev, libxext-dev, libxt-dev, x11proto-gl-dev (>= 1.4.9), libxfixes-dev, libxmu-dev, libxi-dev
Standards-Version: 3.8.0

Package: libgl1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GL library
 Mesa software rendering GL library. This library is required for applications
 using OpenGL to render graphics. 

Package: libgl-dev
Section: libdevel
Architecture: any
Depends: libgl1 (= ${Source-Version})
Description: GL library development files
 Mesa GL library development files

Package: libgl1-dbg
Section: libs
Architecture: any
Depends: libgl1 (= ${Source-Version})
Description: GL library debug symbols
 Mesa GL library debug symbols

Package: mesa-demos
Section: user/demos
Architecture: armel
Depends: libgl1 (= ${Source-Version})
Description: Mesa GL demos
