=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

# Make sure we get properly optimized
DEB_OPT_FLAG_armel:=-O2 -fomit-frame-pointer -pipe -mcpu=arm1136jf-s -mfpu=vfp -mfloat-abi=softfp
DEB_OPT_FLAG_i386:=-O2 -fomit-frame-pointer -pipe -march=i686 -mtune=pentium2
DEB_OPT_FLAG:=$(DEB_OPT_FLAG_$(DEB_HOST_ARCH))

DEB_TAR_SRCDIR:=Mesa-7.6.1

include /usr/share/cdbs/1/rules/tarball.mk

DEB_CONFIGURE_EXTRA_FLAGS:=--with-driver=xlib --disable-glw

DEB_DH_STRIP_ARGS:=--dbg-package=libgl1

install/mesa-demos::
	install -d -m 755 debian/mesa-demos/usr/bin
	install $(DEB_BUILDDIR)/progs/xdemos/glxinfo debian/mesa-demos/usr/bin/
	install $(DEB_BUILDDIR)/progs/xdemos/glxgears debian/mesa-demos/usr/bin/
