=== src/gallium/drivers/i915/Makefile ===
TOP = ../../../..
include $(TOP)/configs/current

LIBNAME = i915

C_SOURCES = \
	i915_blit.c \
	i915_buffer.c \
	i915_clear.c \
	i915_flush.c \
	i915_context.c \
	i915_debug.c \
	i915_debug_fp.c \
	i915_state.c \
	i915_state_immediate.c \
	i915_state_dynamic.c \
	i915_state_derived.c \
	i915_state_emit.c \
	i915_state_sampler.c \
	i915_screen.c \
	i915_prim_emit.c \
	i915_prim_vbuf.c \
	i915_texture.c \
	i915_fpc_emit.c \
	i915_fpc_translate.c \
	i915_surface.c 

include ../../Makefile.template
