=== src/gallium/state_trackers/glx/xlib/Makefile ===
TOP = ../../../../..
include $(TOP)/configs/current

LIBNAME = xlib

LIBRARY_INCLUDES = \
	-I$(TOP)/include \
	-I$(TOP)/src/mesa

C_SOURCES = \
	glx_api.c \
	glx_getproc.c \
	glx_usefont.c \
	xm_api.c

include ../../../Makefile.template
